AOZ Studio Beta - Bug #677

Amiga font spacing problem
02/25/2021 03:22 PM - Paul Kitching

Status: Closed Start date: 02/25/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 1.0.0 (B7)

Affected version: 1.0.0 (B5)

Description

If you use a font, then a larger one and go back to the smaller one, the spacing for characters doesn't reduce to match the smaller
font.

#manifest: "amiga"
//#manifest: "aoz"
#splashScreen:False
famigaFont: "arial"

cls O

ink 2 // use for Amiga
//ink 1 // Use for AOQZ

set font "arial",15

text 10,80, "Testing the font spacing"
set font "arial", 25

text 10,105, "Testing the font spacing"
set font "arial", 40

text 10,140, "Testing the font spacing"
set font "arial", 25

text 10,170, "Testing the font spacing"
set font "arial",15

text 10,190, "Testing the font spacing"
wait key

end

This happens in both Amiga and AOZ mode.
See attached pics.

History

#1 - 02/25/2021 05:43 PM - Paul Kitching
- File FontProblemSizes.PNG added

It also seems to mix up the different font sizes. I'm getting a line of text showing characters from different sizes. See pic - H is squashed, A is from
48 point font, and spaces added because | used 48 point previously in the program.

#2 - 03/22/2021 06:18 AM - Brian Flanagan

- Status changed from New to Feedback

Tested this in 1.0.0 (B5).
It does nothing.
NOTE: Arial is not an Amiga font!

#3 - 03/22/2021 06:19 AM - Brian Flanagan
- Affected version changed from 1.0.0 (B4) to 1.0.0 (B5)

#4 - 03/22/2021 06:25 AM - Brian Flanagan

Oops! |take that back. arial is an Amiga font!
...however, this code still does nothing.
It must be a bug in 1.0.0 (B5)
#5 - 03/31/2021 03:52 PM - Francois Lionet

- Status changed from Feedback to Resolved

Fixed!

#6 - 04/01/2021 09:54 AM - Brian Flanagan
- Status changed from Resolved to Closed

- Target version set to 1.0.0 (B7)

Works in B7!

Files

FontProblem.PNG 6.13 KB 02/25/2021 Paul Kitching

FontProblemAOZ.PNG 4.85 KB 02/25/2021 Paul Kitching

FontProblemSizes.PNG 2.34 KB 02/25/2021 Paul Kitching
